[Lisp]Rotate properties in block

[Lisp]Rotate properties in block

XO’s lisp command below will rotate the angle of Block Attribute 0

 

(defun c:XO( / ssdt sodt index tt entdt)
(princ "\nCADViet.com (c) 2007")
(setq ssdt (ssget)
sodt (sslength ssdt)
index 0
)
(repeat sodt
(setq entdt (ssname ssdt index)
index (1+ index)
entdt (entnext entdt)
tt (entget entdt)
tt (subst (cons 50 0.0) (assoc 50 tt) tt)
)
(entmod tt)
(entupd entdt)
)
(princ)
)
(princ "\nxo - free lisp from www.cadviet.com")
(princ)

Free download [Lisp]Rotate properties in block

Download Mirror 01  Mirror 02  Mirror 03  Mirror 04

[Lisp]Rotate properties in block
Rate this post

Leave a Reply

Your email address will not be published. Required fields are marked *

4 + 3 =